import { Logger, LogLevel as NestLogLevel } from "@nestjs/common";
import { LogLevel } from "@credo-ts/core";

const credoNestLoggerMap: { [key in LogLevel]: NestLogLevel[] } = {
  [LogLevel.test]: ["error", "warn", "log", "debug", "verbose"],
  [LogLevel.trace]: ["error", "warn", "log", "debug", "verbose"],
  [LogLevel.debug]: ["error", "warn", "log", "debug"],
  [LogLevel.info]: ["error", "warn", "log"],
  [LogLevel.warn]: ["error", "warn"],
  [LogLevel.error]: ["error"],
  [LogLevel.fatal]: ["error"],
  [LogLevel.off]: [],
};

export function configureLogger(credoLogLevel: LogLevel) {
  Logger.overrideLogger(credoNestLoggerMap[credoLogLevel]);
}
