import React from "react";
import { Button, Form, Input, Space } from "antd";
import { PrivatePersonFormData } from "../interfaces";

export interface PrivatePersonFormProps {
  loading: boolean;
  onSendOffer: (value: PrivatePersonFormData) => void;
}

const PrivatePersonForm = ({
  loading,
  onSendOffer,
}: PrivatePersonFormProps) => {
  const initialValue: PrivatePersonFormData = {
    name: "",
    dateOfBirth: "",
    street: "",
    building: "",
    city: "",
    country: "",
  };
  return (
    <div>
      <Form
        layout="vertical"
        initialValues={initialValue}
        onFinish={onSendOffer}
        autoComplete="off"
      >
        <Form.Item
          label="Name"
          name="name"
          rules={[{ required: true, message: "Please enter name!" }]}
        >
          <Input />
        </Form.Item>
        <Form.Item
          label="Date Of Birth"
          name="dateOfBirth"
          rules={[{ required: true, message: "Please enter date of birth!" }]}
        >
          <Input />
        </Form.Item>
        <Form.Item
          label="Street"
          name="street"
          rules={[{ required: true, message: "Please enter street!" }]}
        >
          <Input />
        </Form.Item>
        <Form.Item
          label="Building"
          name="building"
          rules={[{ required: true, message: "Please enter building!" }]}
        >
          <Input />
        </Form.Item>
        <Form.Item
          label="City"
          name="city"
          rules={[{ required: true, message: "Please enter city!" }]}
        >
          <Input />
        </Form.Item>
        <Form.Item
          label="Country"
          name="country"
          rules={[{ required: true, message: "Please enter country!" }]}
        >
          <Input />
        </Form.Item>

        <Space direction="horizontal">
          <Button
            type="primary"
            htmlType="submit"
            disabled={loading}
            loading={loading}
          >
            Send JSON-LD offer
          </Button>
        </Space>
      </Form>
    </div>
  );
};

export default PrivatePersonForm;
