import { makeAutoObservable, runInAction } from "mobx";
import api, { DidRecordDto } from "@dashboard/engine-api";
import displayError from "@dashboard/utils/displayError";

class CreatedDidListPageStore {
  public loading = false;
  public list: DidRecordDto[] = [];
  constructor() {
    makeAutoObservable(this);
  }

  public async getAll() {
    runInAction(() => (this.loading = true));
    try {
      const list = await api.getCreatedDids();
      runInAction(() => {
        this.list = list;
        this.loading = false;
      });
    } catch (e: unknown) {
      displayError(e);
      runInAction(() => (this.loading = false));
    }
  }
}

export type { CreatedDidListPageStore };

export default CreatedDidListPageStore;
