import React, { useEffect, useState } from "react";
import { observer } from "mobx-react";
import { Spin } from "antd";
import CreatedDidListPageStore from "./CreatedDidListPageStore";
import NoRecordsMessage from "@dashboard/components/NoRecordsMessage";
import PageWithSidebar from "@dashboard/components/PageWithSidebar";
import PageTitle from "@dashboard/components/PageTitle";
import CreatedDidItem from "@dashboard/components/CreatedDidItem";

const CredentialDefListPage = observer(() => {
  const [store] = useState(() => new CreatedDidListPageStore());

  useEffect(() => {
    store.getAll();
  }, [store]);

  return (
    <PageWithSidebar>
      <PageTitle>Your DIDs</PageTitle>
      <div>
        {store.list.map((p) => (
          <CreatedDidItem key={p.did} item={p} />
        ))}
        {!store.loading && store.list.length === 0 && <NoRecordsMessage />}
        {store.loading && <Spin />}
      </div>
    </PageWithSidebar>
  );
});

export default CredentialDefListPage;
