import React, { useState } from "react";
import { observer } from "mobx-react";
import PageWithSidebar from "@dashboard/components/PageWithSidebar";
import PageTitle from "@dashboard/components/PageTitle";
import { Button, Input, Space } from "antd";
import ResolveDidPageStore from "./ResolveDidPageStore";
import { runInAction } from "mobx";
import JsonDetails from "@dashboard/components/JsonDetails";
import s from "./styles.module.scss";

const ResolveDidPage = observer(() => {
  const [store] = useState(() => new ResolveDidPageStore());
  return (
    <PageWithSidebar>
      <PageTitle>Resolve did</PageTitle>
      <div>
        <Space direction="horizontal">
          <Input
            className={s.input}
            placeholder="did:sov:WRfXPg8dantKVubE3HX8pw"
            value={store.did}
            onChange={(e) => {
              runInAction(() => {
                store.did = e.target.value;
              });
            }}
          />
          <Button
            type="primary"
            onClick={store.resolve}
            loading={store.loading}
            disabled={store.loading}
          >
            Resolve
          </Button>
        </Space>
      </div>
      <br />
      <div>
        <h3>Resolved document</h3>
        <JsonDetails object={store.resolvedData} />
      </div>
    </PageWithSidebar>
  );
});

export default ResolveDidPage;
