import { Module, ValidationPipe } from "@nestjs/common";
import { AgentAnoncredsService } from "../askar/services/agent.anoncreds.service";
import { AgentBasicMessagesService } from "../askar/services/agent.basicMessages.service";
import { AgentConnectionsService } from "../askar/services/agent.connections.service";
import { AgentCredentialsService } from "../askar/services/agent.credentials.service";
import { AgentDidsService } from "../askar/services/agent.dids.service";
import { AgentJsonldService } from "../askar/services/agent.jsonld.service";
import { AgentOobService } from "../askar/services/agent.oob.service";
import { AgentProofsService } from "../askar/services/agent.proofs.service";
import { ConfigModule } from "@nestjs/config";
import { LedgersModule } from "@ocm-engine/ledgers";
import { APP_PIPE } from "@nestjs/core";
import { RestController } from "./rest.controller";
import { PassportModule } from "@nestjs/passport";
import { JwtModule } from "@nestjs/jwt";

@Module({
  imports: [
    ConfigModule,
    LedgersModule,
    PassportModule,
    JwtModule.register({
      global: true,
    }),
  ],
  providers: [
    AgentAnoncredsService,
    AgentBasicMessagesService,
    AgentConnectionsService,
    AgentCredentialsService,
    AgentDidsService,
    AgentJsonldService,
    AgentOobService,
    AgentProofsService,
    {
      provide: APP_PIPE,
      useValue: new ValidationPipe({
        transform: true,
      }),
    },
  ],
  controllers: [RestController],
})
export class AskarRestModule {}
