import { Module, Global } from "@nestjs/common";
import { AskarService } from "./services/askar.service";
import { AgentAnoncredsService } from "./services/agent.anoncreds.service";
import { AgentBasicMessagesService } from "./services/agent.basicMessages.service";
import { AgentConnectionsService } from "./services/agent.connections.service";
import { AgentCredentialsService } from "./services/agent.credentials.service";
import { AgentDidsService } from "./services/agent.dids.service";
import { AgentJsonldService } from "./services/agent.jsonld.service";
import { AgentOobService } from "./services/agent.oob.service";
import { AgentProofsService } from "./services/agent.proofs.service";
import { AgentOcmService } from "./services/agent.ocm.service";
import { CatalogClient } from "./clients/catalog.client";
import { ConfigModule } from "@nestjs/config";
import { LedgersModule } from "@ocm-engine/ledgers";

@Global()
@Module({
  imports: [ConfigModule, LedgersModule],
  providers: [
    AgentAnoncredsService,
    AgentBasicMessagesService,
    AgentConnectionsService,
    AgentCredentialsService,
    AgentDidsService,
    AgentJsonldService,
    AgentOobService,
    AgentProofsService,
    AgentOcmService,
    CatalogClient,
    AskarService,
  ],
  exports: [
    AgentAnoncredsService,
    AgentBasicMessagesService,
    AgentConnectionsService,
    AgentCredentialsService,
    AgentDidsService,
    AgentJsonldService,
    AgentOobService,
    AgentProofsService,
    AgentOcmService,
    CatalogClient,
    AskarService,
  ],
})
export class AskarModule {}
