import { Injectable, Logger } from "@nestjs/common";
import { AskarService } from "./askar.service";
import { DidRecordDto } from "@ocm-engine/dtos";

@Injectable()
export class AgentDidsService {
  private readonly logger = new Logger(AgentDidsService.name);
  constructor(private readonly askar: AskarService) {}

  resolve = async (did: string) => {
    return this.askar.agent.dids.resolve(did);
  };

  getCreatedDids = async (): Promise<DidRecordDto[]> => {
    const didRecords = await this.askar.agent.dids.getCreatedDids();
    return didRecords.map((p) => {
      const tags = p.getTags();
      return DidRecordDto.fromJson({
        id: p.id,
        createdAt: p.createdAt,
        updatedAt: p.updatedAt,
        did: p.did,
        role: p.role,
        method: tags.method,
        tags: tags,
      });
    });
  };
}
