import { registerAs } from "@nestjs/config";
import * as process from "process";
import { IConfAgent } from "../interfaces/agent.config.interface";
import { LogLevel } from "@credo-ts/core";

export const agentConfig = registerAs(
  "agent",
  (): IConfAgent => ({
    agentPeerPort: parseInt(process.env["AGENT_PEER_PORT"]!) || 8001,
    agentPeerAddress: process.env["AGENT_PEER_URL"]!,
    agentName: process.env["AGENT_NAME"]!,
    agentKey: process.env["AGENT_KEY"]!,
    agentDidSeed: process.env["AGENT_DID_SEED"]!,
    agentDbHost: process.env["AGENT_DB_HOST"]!,
    agentDbUser: process.env["AGENT_DB_USER"]!,
    agentDbPass: process.env["AGENT_DB_PASS"]!,
    agentPort: parseInt(process.env["AGENT_PORT"]!),
    agentOobUrl: process.env["AGENT_OOB_URL"] || undefined,

    logLevel: parseInt(process.env["LOG_LEVEL"]!) ?? LogLevel.error,
  }),
);
