import { registerAs } from "@nestjs/config";
import * as process from "process";
import { IConfAuth } from "../interfaces/auth.config.interface";

export const authConfig = registerAs(
  "auth",
  (): IConfAuth => ({
    authBasicEnabled:
      !!process.env["AUTH_BASIC_USER"] && !!process.env["AUTH_BASIC_PASS"],
    authBasicUser: process.env["AUTH_BASIC_USER"]!,
    authBasicPass: process.env["AUTH_BASIC_PASS"]!,
    authJwtEnabled: !!process.env["AUTH_JWT_PUBLIC_KEY"],
    authJwtPublicKey: process.env["AUTH_JWT_PUBLIC_KEY"]!,
  }),
);
