import { IsDateString, IsString } from "class-validator";

export class BaseRecordDto {
  @IsString()
  id?: string;

  @IsDateString()
  createdAt?: Date;

  @IsDateString()
  updatedAt?: Date;

  public static fromJson(json: InstanceType<typeof BaseRecordDto>) {
    const dto = new BaseRecordDto();
    dto.id = json.id;
    dto.createdAt = json.createdAt;
    dto.updatedAt = json.updatedAt;
    return dto;
  }
}
