import { IsNotEmpty, IsString } from "class-validator";
import { BaseRecordDto } from "./base.record.dto";
import { DidExchangeState } from "@credo-ts/core";

export class ConnectionRecordDto extends BaseRecordDto {
  @IsNotEmpty()
  @IsString()
  state: DidExchangeState;

  @IsString()
  connectionName?: string;

  @IsString()
  alias?: string;

  @IsString()
  did?: string;

  @IsString()
  theirDid?: string;

  @IsString()
  invitationDid?: string;

  @IsString()
  outOfBandId?: string;

  @IsString()
  imageUrl?: string;

  public static override fromJson(
    json: InstanceType<typeof ConnectionRecordDto>,
  ) {
    const dto = new ConnectionRecordDto();
    dto.id = json.id;
    dto.createdAt = json.createdAt;
    dto.updatedAt = json.updatedAt;
    dto.state = json.state;
    dto.connectionName = json.connectionName;
    dto.alias = json.alias;
    dto.did = json.did;
    dto.theirDid = json.theirDid;
    dto.invitationDid = json.invitationDid;
    dto.outOfBandId = json.outOfBandId;
    dto.imageUrl = json.imageUrl;
    return dto;
  }
}
