import { IsNotEmpty, IsString } from "class-validator";
import { BaseRecordDto } from "./base.record.dto";

export class CreddefRecordDto extends BaseRecordDto {
  @IsNotEmpty()
  @IsString()
  schemaId: string;

  @IsNotEmpty()
  @IsString()
  issuerId: string;

  @IsNotEmpty()
  @IsString()
  tag: string;

  public static override fromJson(json: InstanceType<typeof CreddefRecordDto>) {
    const dto = new CreddefRecordDto();
    dto.id = json.id;
    dto.createdAt = json.createdAt;
    dto.updatedAt = json.updatedAt;
    dto.schemaId = json.schemaId;
    dto.issuerId = json.issuerId;
    dto.tag = json.tag;
    return dto;
  }
}
