import { CredentialPreviewAttributeOptions } from "@credo-ts/core";
import {
  AnonCredsCredential,
  AnonCredsCredentialOffer,
  AnonCredsCredentialProposalFormat,
  AnonCredsCredentialRequest,
} from "@credo-ts/anoncreds";

export class CredentialFormatDataDto {
  public proposalAttributes?: CredentialPreviewAttributeOptions[];
  public offerAttributes?: CredentialPreviewAttributeOptions[];
  public anoncredsProposal?: AnonCredsCredentialProposalFormat;
  public anoncredsOffer?: AnonCredsCredentialOffer;
  public anoncredsRequest?: AnonCredsCredentialRequest;
  public anoncredsCredential?: AnonCredsCredential;

  public all?: unknown;

  public static fromJson(json: InstanceType<typeof CredentialFormatDataDto>) {
    const dto = new CredentialFormatDataDto();
    dto.proposalAttributes = json.proposalAttributes;
    dto.offerAttributes = json.offerAttributes;
    dto.anoncredsProposal = json.anoncredsProposal;
    dto.anoncredsOffer = json.anoncredsOffer;
    dto.anoncredsRequest = json.anoncredsRequest;
    dto.anoncredsCredential = json.anoncredsCredential;
    dto.all = json.all;
    return dto;
  }
}
