import { IsNotEmpty, IsString } from "class-validator";
import { BaseRecordDto } from "./base.record.dto";
import { DidDocumentRole } from "@credo-ts/core";

export class DidRecordDto extends BaseRecordDto {
  @IsNotEmpty()
  @IsString()
  did: string;

  @IsNotEmpty()
  @IsString()
  role: DidDocumentRole;

  @IsString()
  @IsNotEmpty()
  method: string;

  tags: unknown;

  public static override fromJson(json: InstanceType<typeof DidRecordDto>) {
    const dto = new DidRecordDto();
    dto.id = json.id;
    dto.createdAt = json.createdAt;
    dto.updatedAt = json.updatedAt;
    dto.did = json.did;
    dto.role = json.role;
    dto.method = json.method;
    dto.tags = json.tags;
    return dto;
  }
}
