import { IsNotEmpty, IsString } from "class-validator";
import { BaseRecordDto } from "./base.record.dto";
import { ProofState } from "@credo-ts/core";

export class ProofRecordDto extends BaseRecordDto {
  @IsString()
  connectionId?: string;

  @IsString()
  @IsNotEmpty()
  state: ProofState;

  tags: unknown;

  public static override fromJson(json: InstanceType<typeof ProofRecordDto>) {
    const dto = new ProofRecordDto();
    dto.id = json.id;
    dto.createdAt = json.createdAt;
    dto.updatedAt = json.updatedAt;
    dto.connectionId = json.connectionId;
    dto.state = json.state;
    dto.tags = json.tags;
    return dto;
  }
}
