import { ArrayMinSize, IsNotEmpty, IsString } from "class-validator";
import { BaseRecordDto } from "./base.record.dto";

export class SchemaRecordDto extends BaseRecordDto {
  @IsString()
  @IsNotEmpty()
  name: string;

  @IsNotEmpty()
  @IsString({ each: true })
  @ArrayMinSize(1)
  attributes: string[];

  @IsNotEmpty()
  @IsString()
  version: string;

  @IsString()
  issuerId?: string;

  @IsString()
  methodName?: string;

  public static override fromJson(json: InstanceType<typeof SchemaRecordDto>) {
    const dto = new SchemaRecordDto();
    dto.id = json.id;
    dto.createdAt = json.createdAt;
    dto.updatedAt = json.updatedAt;
    dto.name = json.name;
    dto.attributes = json.attributes;
    dto.version = json.version;
    dto.issuerId = json.issuerId;
    dto.methodName = json.methodName;
    return dto;
  }
}
